import { getLoginResult } from "@/utils/auth";
import { SHA1, enc } from "crypto-js";

export const signToken = (url: string, method: string = "post") => {
  const timestamp = Date.now();
  const loginResult = getLoginResult();
  const token = `Token ${loginResult?.sessionId}:${enc.Base64.stringify(
    SHA1(
      `${method?.toLowerCase() || "post"}&${url}&${timestamp}&${
        loginResult?.accessToken
      }`
    )
  )}`;
  return { token, timestamp };
};
