import { debounce } from "lodash-es";

const flexible = debounce((designWidth: number = 1280) => {
  const ratio =
    Math.max(document.documentElement.clientWidth, 1280) / designWidth;
  document.documentElement.style.fontSize = (ratio * designWidth) / 100 + "px";

  addEventListener("resize", () => {
    flexible();
  });
}, 30);

export default () => {
  flexible(1280);
};
